# Interface LocatableEvent

All Superinterfaces:
  `Event, Locatable, Mirror`

All Known Subinterfaces:
  `AccessWatchpointEvent, BreakpointEvent, ExceptionEvent, MethodEntryEvent, MethodExitEvent, ModificationWatchpointEvent, MonitorContendedEnteredEvent, MonitorContendedEnterEvent, MonitorWaitedEvent, MonitorWaitEvent, StepEvent, WatchpointEvent`

public interface LocatableEvent extends Event, Locatable
Abstract superinterface of events which have both location and thread.

Since:
  1.3

## Method Summary

Modifier and Type
Method
Description
`ThreadReference`
`thread()`
Returns the thread in which this event has occurred.

### Methods declared in interface Event

`request`

### Methods declared in interface Locatable

`location`

### Methods declared in interface Mirror

`toString, virtualMachine`

## Method Details

### thread

ThreadReference thread()
Returns the thread in which this event has occurred.

Returns:
  a `ThreadReference` which mirrors the event's thread in the target VM.